Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.ui
Class GenericIFormModel

    java.lang.Object
      ix.iface.ui.AbstractIFormModel
          ix.iface.ui.GenericIFormModel

All Implemented Interfaces:
  DataChangeListener, IFormModel

Direct Known Subclasses:
  ActionFormModel, DomainFormModel

    public class GenericIFormModel

extends AbstractIFormModel

An default model to be used to fill an IFormPanel.

Field Summary

Fields inherited from class ix.iface.ui.AbstractIFormModel
`baseObject, baseObjectClass, dataListeners, displayFields, fieldClasses, fieldNames, isUpdating, listeners, nameFields, settingData`

Constructor Summary
`GenericIFormModel(java.lang.Class objectClass)`
`GenericIFormModel(EditableObject object)`

Method Summary
`protected java.lang.Class` | `deriveClass(java.lang.String field)`
`protected void` | `deriveClasses(java.util.List fields)` Derives the classes of the given fields and puts them into HashMap fieldClasses.
`protected java.util.List` | `deriveDisplayFields()` Derives the fields to be used for displaying the object information
`protected java.lang.String` | `deriveName(java.lang.String field)`
`protected java.util.List` | `deriveNameFields()` Derives the fields to be used for displaying the object name(s)
`protected void` | `deriveNames(java.util.List fields)` Derives the names of the given fields and puts them into HashMap fieldNames.
`void` | `setFields()` Derives the name fields, display fields and the field names and classes.
`boolean` | `setValue(EditableObject o, java.lang.String field, java.lang.Object value)` Get the object to change its value.
`void` | `setValue(java.lang.String field, java.lang.Object value)` Sets the current object's given field to the given value.
`java.lang.String` | `show()`
`protected boolean` | `useField(java.lang.reflect.Field field)`

Methods inherited from class ix.iface.ui.AbstractIFormModel
`addDataListener, addIfField, addModelListener, clearData, dataChanged, dataChanged, deriveClasses, deriveNames, endUpdate, fireDataChanged, fireModelChanged, fireModelChanged, getDataListeners, getDisplayClasses, getDisplayFields, getDisplayNames, getFieldClass, getFieldName, getFieldWeight, getModelListeners, getNameClasses, getNameFields, getNameNames, getObject, getObjectClass, getValue, getValue, ignoreUpdate, isEditable, isFieldShowing, lookupFieldClasses, lookupFieldNames, setDisplayFields, setDisplayFields, setNameFields, setNameFields, setObject, setObjectClass, startUpdate, stringToField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericIFormModel

    public GenericIFormModel(java.lang.Class objectClass)

### GenericIFormModel

    public GenericIFormModel(EditableObject object)

Method Detail

### setFields

    public void setFields()

  Description copied from class: `AbstractIFormModel`
  Derives the name fields, display fields and the field names and classes.

  Overrides:
    `setFields` in class `AbstractIFormModel`

### deriveNames

    protected void deriveNames(java.util.List fields)

  Description copied from class: `AbstractIFormModel`
  Derives the names of the given fields and puts them into HashMap fieldNames.

  Specified by:
    `deriveNames` in class `AbstractIFormModel`

### deriveName

    protected java.lang.String deriveName(java.lang.String field)

### deriveClasses

    protected void deriveClasses(java.util.List fields)

  Description copied from class: `AbstractIFormModel`
  Derives the classes of the given fields and puts them into HashMap fieldClasses.

  Specified by:
    `deriveClasses` in class `AbstractIFormModel`

### deriveClass

    protected java.lang.Class deriveClass(java.lang.String field)

### deriveNameFields

    protected java.util.List deriveNameFields()

  Description copied from class: `AbstractIFormModel`
  Derives the fields to be used for displaying the object name(s)

  Specified by:
    `deriveNameFields` in class `AbstractIFormModel`

### deriveDisplayFields

    protected java.util.List deriveDisplayFields()

  Description copied from class: `AbstractIFormModel`
  Derives the fields to be used for displaying the object information

  Specified by:
    `deriveDisplayFields` in class `AbstractIFormModel`

### useField

    protected boolean useField(java.lang.reflect.Field field)

### show

    public java.lang.String show()

### setValue

    public void setValue(java.lang.String field,
                         java.lang.Object value)

  Description copied from interface: `IFormModel`
  Sets the current object's given field to the given value.

  Specified by:
    `setValue` in interface `IFormModel`
  Overrides:
    `setValue` in class `AbstractIFormModel`

### setValue

    public boolean setValue(EditableObject o,
                            java.lang.String field,
                            java.lang.Object value)

  Description copied from class: `AbstractIFormModel`
  Get the object to change its value.

  Specified by:
    `setValue` in interface `IFormModel`
  Overrides:
    `setValue` in class `AbstractIFormModel`
  Returns:
    true if the value was changed, false if it was not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD